--- Tcl-1.05-SJ/Tcl.xs	2018-06-16 08:03:07.415797200 +0800
+++ Tcl-1.05-patched/Tcl.xs	2018-06-16 09:55:16.218662700 +0800
@@ -30,9 +30,13 @@
 #undef JOIN
 
 /*
- * Let Tcl_Init() stub could be pointed by a function pointer
+ * Let Tcl_Init() stub could be pointed by a function pointer.
+ * Since tcl 8.5, Tcl_Init() is defined as a macro with an argument and
+ * unable to be assigned to a function pointer. We need to redefine it.
  */
 #include <tcl.h>
+#undef  Tcl_Init
+#define Tcl_Init  (tclStubsPtr->tcl_Init)
 
 #ifdef USE_TCL_STUBS
 /*
